package com.realnet.angulardatatype.Services;
import com.realnet.angulardatatype.Repository.Basicp1Repository;
import com.realnet.angulardatatype.Entity.Basicp1
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
























	import org.springframework.stereotype.Service;

@Service
 public class Basicp1Service {
@Autowired
private Basicp1Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;























public Basicp1 Savedata(Basicp1 data) {
























	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Basicp1 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Basicp1> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Basicp1> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Basicp1> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Basicp1 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Basicp1 update(Basicp1 data,Integer id) {
	Basicp1 old = Repository.findById(id).get();
old.setName(data.getName());

old.setName2(data.getName2());

old.setNumber1(data.getNumber1());

old.setNumber2(data.getNumber2());

old.setPhone_number(data.getPhone_number());

old.setPhone_number2(data.getPhone_number2());

old.setParagraph_field(data.getParagraph_field());

old.setParagraph_field2(data.getParagraph_field2());

old.setPassword_field(data.getPassword_field());

old.setTextarea(data.getTextarea());

old.setTextarea_field(data.getTextarea_field());

old.setTextarea_field2(data.getTextarea_field2());

final Basicp1 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
























 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
